<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables and Forms</title>
</head>
<body>
	<!-- 
		-<div> tag creates a container element that is used to group certain HTML elements together.
		-Using HTML semantic tags makes our website optimized for SEO and it's different easier to differentiate portions of the code instead of matching for closing div tags.


	 -->
	<header>
		<h2>HTML Entities</h2>
	</header>
		
	


	<p><em>Reserved characters in HTML (e.g. &lt; or &gt; characters that can mix up with HTML code).</em></p>
	<!-- Header and a paragraph tag reinforce the concept of the HTML -->

	<!-- 
		-Defines an HTML Table 
		-<table> tag it defines our HTML table that allows us to represent data in tabular format.
	-->

	<section>
		<table border="1">
		<!-- 
			-Used to group table header content
			-<thead> tag it is used to group header content
		-->
		<thead>
			<!-- 
				-Define a table row 
			-->
			<tr>
				<!-- defines a table header element 
					-The "colspan" attribute Defines the amount of columns the table element will occupy
					-The "rowspan" attribute changes the amout of columns a table will occupy
					-These attributes can be used for creating complex tables as needed.
				-->
				<th colspan="2">Entity</th>
				<th>Description</th>
			</tr>
		</thead>

		<!-- 
			-Used to group table body content 
			-<tbody> tag it defines group table body HTML table
		-->
		<tbody>
			<tr>
				<!-- 
				-Defines a table data element 
				-In most cases, the number of td elements should be equal to the amout of th elemens created in a table.
				-->
				<td>&lt;</td>
				<td>lt</td>
				<td>less than</td>
			</tr>
			<tr>
				<td>&gt;</td>
				<td>gt</td>
				<td>greater than</td>
			</tr>
			<tr>
				<td>&#8369;</td>
				<td>&#8369</td>
				<td>peso sign</td>
			</tr>
			<tr>
				<td>&amp;</td>
				<td>amp</td>
				<td>ampersand</td>
			</tr>
			<tr>
				<td>&quot;</td>
				<td>quote</td>
				<td>double quotation mark</td>
			</tr>
			<tr>
				<td>&apos;</td>
				<td>apos</td>
				<td>single quotation mark</td>
			</tr>
			<tr>
				<td>&ntilde;</td>
				<td>ntilde</td>
				<td>Lower Tilde</td>
			</tr>
			<tr>
				<td>&Ntilde;</td>
				<td>Ntilde</td>
				<td>Upper Tilde</td>
			</tr>
		</tbody>

		<!-- Used to group table footer content -->
		<tfoot>
			<tr>
				<th colspan="3">List of HTML entities</th>
			</tr>
		</tfoot>
	</table>
	</section>

	<hr>
	<h2>HTML Forms</h2>
	<p><em>Input elements that make up a form. </em></p>


	<!-- HMTL creates an HMTL form to capture user input -->
	<section>
		<form action="https://www.google.com/">

		<!-- 
			-creates a label and allows for input field selection whecn clicked 
			-"for" attribute is used with the "id" attribute in an input element. To allow the users to select the input field when they clicked on the label for a better user experience. 
			-"type" attribute will define what type of information the input field should have. Change it's value will automatically change the behavior of the input field.
			-"name" attribute will provide the input field with a name that we can use to associate with the information provided by the user.
			- "required" attribute will not allow the form to submitted without any user input. 
		-->
		<label for="fullname">Full Name: </label>
		<!-- created an input field to capture user input -->
		<input type="text" name="fullname" id="fullname" required>

		<br><br>

		<label for="birthdate">Birth date:</label>
		<input type="date" name="birthdate" id="birthdate" required>

		<br><br>

		<label for="age">Age: </label>
		<input type="number" name="age" id="age" required><br>

		<label for="gender">Gender</label>
		<!-- 
			-<select> tag creates a dropwdown menu based on the nested option tags 
			-<option> tag creates and opton for the dropdown menu created by the select tag.
			-The "value" attribute is the information that will be sent when the form is submitted.
		-->
		<select name="gender" id="gender" >
			<!-- create an option for the dropdown -->
			<option value="">None</option>
			<option value="male">Male</option>
			<option value="female">Female</option>
		</select>

		<br>
		<label for="notes">Notes:</label>
		<!-- c
			-creates a largen text input for capsturing longer text. This c
			-The "rows" attribute changes the number of text that the user can see. 
			-The "cols" attribute changes the number of characters that can be placed per row

		 -->
		<textarea name="notes" rows="5" id="notes"></textarea>
		<br>
		<!-- radiuo button -->
		<label>New user</label><br>
		<!-- name attribute should be the same for relates radio button -->
		<input type="radio" name="newuser" id="newuser" value="yes">
		<label for="newuser">Yes</label>

		<!-- 
			-The "radio" value create a radio buttonn that is used to get a single piece of information form a user of option
			-The "name" attribute of radio buttons need to be same to allow only one value to be stored for a particular data when the form si submitted. 
			- The "value" attribute is the information that will sent when the form is submitted. 

		 -->
		<input type="radio" name="newuser" id="newuser1" value="no">
		<label for="newuser1">No</label>

		<br><br>

		<label>Role:</label>
		<!-- 
			-creates checkbox for multiple choices
			-The "checkbox" value will creates a checkbox to get multiple option values
			-The "name" has to be unique for each checkbox.

		 -->
		<input type="checkbox" name="developer" id="developer">
		<label>Developer</label>
		<input type="checkbox" name="student" id="student">
		<label>Student</label>
		<input type="checkbox" name="manager" id="manager">
		<label>Manager</label>

		<br><br>

		<!-- -Created a button that will submit the form data. 
			- This creates an inline element that triggers the form submission 
			-"type" attribute will define how the button will behave.
			the "value" of submit is the button tag's default value and is not necessary to be included. Though it;s good practice to have it added because it contain several buttons.
		--><br><br>
		<button type="submit">Submit</button>

		<!-- create a button to reset the form data -->
		<button type="reset">Reset</button>
	</form>
	</section>
</body>
</html>